Subject: RE: New Schema I-D Requested to be Posted to IETF Repository

From: "Ken Roberts" <[email-masked]>
Date: Wed, 19 May 1999 12:37:57 -0500

This is a good post as I believe it highlights a problem. The work has
become simultaneously to specific and to generic - talk about internal
contradictions what does that mean. There was an initial problem to be
solved QoS and a mechanism was developed to address the problem - trouble
was/ is the mechanism has a degenerate form (to be applied to other problem
areas) that wasn't adequately addressed.

So we have a situation where a specific solution is trying to be advanced
without the "context" being developed for a more general form being
understood or agreed. This is the way to madness we must either stop trying
to develop a Policy Enabling Architecture and concentrate on completing a
Policy Implementing Architecture or do both but for the time being not
attempt to link them together. The difference between enabling and
implementing is the specific problem details, I believe both types of
architecture are required one without the other doesn't work. Why because an
enabling architecture sets the context for implementing architectures.

There is a good example of this here in San Jose, the "Winchester Mystery
House" is the old Winchester (of rifle fame) home (I believe) the last
family member who lived there believed the way to salvation was to build and
not to stop. What we have is a mansion with many strange rooms, doorways
stairways etc leading nowhere. The point is that each room, stairway etc is
in itself well built and "architecturally" perfect it is just unfortunate
that when taken as a whole they don't really make any sense. Is a parallel
emerging here?

I submit that QoS (& other managed services e.g. VPN) policy management have
the capacity to become rooms and stairways in our mystery house each well
crafted but not serving the whole if we ignore the enabling architecture.

So I submit we need to address both areas of concern to solve the problem.
Anyway that's my 2 cents.

Ken Roberts
INM
Phone: +1(408)565-7844
             ESN 655-7844
Email:  [email-masked]

	-----Original Message-----
	From:	Stevens, Mark [SMTP:[email-masked]]
	Sent:	Wednesday, May 19, 1999 9:40 AM
	To:	[email-masked]'
	Subject:	RE: New Schema I-D Requested to be Posted to IETF
Repository

	> First, we considered defining a language, then we considered
defining an
	> architectural model for an implementation, and of late, we have
focused on
	> a generalized schema for storing expressions of policy. Each time
we
	> avoided the step of defining the problem itself. We have shyly
backed away
	> from defining specific policies. We have only vaguely described
them as a
	> list of "if-then" expressions.  We need to scope the problem by
coming up
	> with a list of exemplary policies. We need to define the things
that
	> appear after the "if" and "then." With a better understanding of
the
	> specific conditions and actions, we can begin to develop a schema
for
	> storage and develop an understanding of the constraints imposed by
various
	> architectural approaches to implementation. 
	> 
	> Indeed a more detailed problem and goals statement may be in
order. I
	> believe that we are not moving toward our first tangible goal as
stated in
	> the charter and it may be due to the wording of the numbered
objectives
	> listed in the charter. They seem to outline an approach to solving
the
	> policy problem, but they do not clearly define the problem space
itself.
	> As a result, they have effectively focused the working group's
effort on
	> the periphery of an unbounded problem. To implement a uniform
policy in a
	> network, we need to agree upon a way to store policy expressions
of a
	> repository, but before we can agree on a way to store these
expressions,
	> we must agree on what they look like to begin with.
	> 
	> I do not see how the introduction of an architectural model will
move us
	> toward a solution when we have not defined specific examples of
the kinds
	> of policies that we want to be able to implement in a network.
Nor, do I
	> see how the core policy schema or an architectural model can be
tested,
	> even by way of mental exercise, without clear and agreed upon
definitions
	> of specific policies.
	> 
	> Mark Stevens
	> Lucent Technologies, 300 Baker Avenue, Concord, MA 01742
	> Voice/fax: 978 287 9102
	> 
	> -----Original Message-----
	> From:	Andrew Smith [SMTP:[email-masked]]
	> Sent:	Tuesday, May 18, 1999 4:32 PM
	> To:	'Stevens, Mark'; [email-masked]
	> Subject:	RE: New Schema I-D Requested to be Posted to IETF
Repository
	> 
	> 
	> Mark,
	> 
	> I'm not clear on what you are arguing for here: you seem to
contradict
	> yourself by saying on the one hand that the WG should "examine our
	> progress
	> toward the working group's first tangible and truly useful
deliverable - a
	> schema for the administration of QoS policy" and on the other "We
need to
	> sit down and develop real-life examples of policy [...] before we
get
	> to[o]
	> wrapped up in detailed architectural models, schemas and
languages.". Are
	> you suggesting that we need to come up with a more detailed
problem/goals
	> statement at this point, before progressing on models and schemas?
	> 
	> It's still unclear to me how we can document solutions for any of
this
	> problem space without a clear architectural model of how we think
it fits
	> together. In my mind at least, schema definition is diving down
far deeper
	> than architectural models.
	> 
	> Andrew
	> Software Architect
	> 
	> ****************************************************************
	> Andrew Smith                              tel: +1 (408) 579-2821
	> Extreme Networks                          fax: +1 (408) 579-3000
	> 3585 Monroe St.                   http://www.extremenetworks.com
	> Santa Clara CA 95051-1450        em:  [email-masked]
	> ****************************************************************
	> 
	>

---

From: "R. Rajan" <[email-masked]>
Date: Wed, 19 May 1999 16:39:51 -0400

Hi all,

 I've been on vacation and off email for a while, so I apologize if I have
missed the announcement of a new charter with new milestones. If such a
proposal has already been posted, could someone send me a copy? If not, do
the WG chairs have any plans to bring out a coherent proposal? Thanks,

raju rajan